# AuthSession | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- AuthSession

## Index

### Properties

- access_token
- expires_at
- expires_in
- provider_token
- refresh_token
- token_type
- user

## Properties

### access_token

access_token: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:9

### Optional expires_at

expires_at?: number

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:17

A timestamp of when the token will expire. Returned when a login is confirmed.

### Optional expires_in

expires_in?: number

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:13

The number of seconds until the token expires (since it was issued). Returned when a login is confirmed.

### Optional provider_token

provider_token?: null | string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:8

### Optional refresh_token

refresh_token?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:18

### token_type

token_type: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:19

### user

user: null | AuthUser

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:20

Generated using TypeDoc